REST API
Users
Read the PAT owner's user profile and preferences.
GET
/v2/users/meGet current user
Get the current authenticated user's account information.
Request example
curl --request GET \
--url "https://api.callabo.ai/v2/users/me" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"Success responses
Response body
idRequiredintegerUser identifier.nameRequiredstringUser name.emailRequiredstring (email)User email address.phone_numberstring | nullUser phone number.statusRequiredUserStatusUser account status.companyRequiredstringUser's company.providersRequiredAuthInfoProvider[]Authentication providers linked to the user account.localeRequiredUserLocaleUser locale.referrer_codestring | nullUser referral code.
Response example
{
"id": 1,
"name": "Example",
"email": "developer@example.com",
"status": "created",
"company": "string",
"providers": [
"email"
],
"locale": "ko"
}Errors
| Status | Error code | Description |
|---|---|---|
| 401 | UNAUTHORIZED | Unauthenticated request |
| 403 | FORBIDDEN | Insufficient requester permissions |
| 422 | β | Unprocessable content |
| 429 | RATE_LIMIT_EXCEEDED | Request limit exceededLearn more |